Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05354 Sound Minor Always Nov 5, 2013, 09:22 16 days ago
Tester Tempora View Status Public Platform MAMEUI
Assigned To galibert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver konamigx.cpp
Version 0.150 Fixed in Version 0.154 Build 64-bit
Summary 05354: tbyahhoo: Inaccurate K054539 audio emulation
Description All audio samples is played back without the proper echo effect applied by the K054539; the inaccuracy manifest itself as a crackling noise throughout playback.
This is related to bug ID 04765 and 03656, containing games using the same audio chip exhibiting the same problem.
Steps To Reproduce Listen to the game's voice samples and sound effects.
Additional Information Reference material from this video link:
Flags
Regression Version
Affected Sets / Systems tbyahhoo
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.09961
Phil Bennett
Developer
Nov 6, 2013, 20:21
All of the GX games should be marked GAME_IMPERFECT_SOUND as the TMS57002 has not been hooked up to process the output of the 054539s.

To be honest, every game using the 054539 should be marked as GAME_IMPERFECT_SOUND as the emulation is somewhat flawed (imperfect DPCM decoding, gain levels and reverb to name a few)
User avatar
No.11252
abelardator2
Tester
Nov 15, 2014, 11:02
edited on: Nov 15, 2014, 11:05
I have the original PCB, you need an original audio recording?
I also noticed poor sound in "Fantastic Journey". I have the original PCB "Gokujyou Parodius" and "Sexy Parodius".
User avatar
No.15743
hap
Developer
16 days ago
konamigx voice echo with TMS57002 was added in 0.154